#Application

C
Host
R
s

Root
R
s

Request
R
s

LogFile
P
s

Protocol
P
s

#CGI

C
FormatDate
M
s
(dDate)d
_get
M
s
(sVar)s
_put
M

(sVal)s(sVar)s
Encode
M
s
(URL)s
Decode
M
s
(URL)s
_init
M


Error
M

(Text)s
#HTML

C
_init
M


_call
M
s
(Text)s
#Request

C
Fields
R
String[]

Cookies
R
Collection

Method
R
s

Path
R
s

Query
R
s

Files
R
Collection

Delimiter
P
s

InternetExplorer
R
i

Exist
M
b
(Field)s
_init
M


_get
M
s
(Key)s
_put
M

(Value)v(Key)s
#Response

C
Buffered
P
b

ContentType
P
s

Status
P
s

AddHeader
M

(Name)s(Value)s
Redirect
M

(URL)s
Begin
M


End
M


SetCookie
M

(Cookie)s(Value)s[(Domain)s(Path)s(Expires)d]
RemoveCookie
M

(Cookie)s(Value)s[(Domain)s(Path)s]
SendFile
M

(Path)s[(ContentType)s]
#Session

C
Id
P
s

Timeout
P
f

_init
M


_exit
M


Abandon
M


_get
M
v
(Key)s
_put
M

(Value)v(Key)s
